create table tmp_smsfestddsc as select * from smsfestddsc;

drop table smsfestddsc;

CREATE TABLE smsfestddsc (
    dscid integer DEFAULT nextval(('smsfestddsc_dscid_seq'::text)) NOT NULL,
    regid integer,
    smsschcd character varying(30),
    feecat integer,
    rate numeric(5,2),
    remark text,
    installment character varying(3),
    status character varying(3),
    crby character varying(50),
    crdate date,
    lupdateby character varying(50),
    lupdate date
);


CREATE INDEX smsfestddsc_idx ON smsfestddsc USING btree (feecat, regid, smsschcd, status);
CREATE UNIQUE INDEX smsfestddsc_ukey ON smsfestddsc USING btree (dscid);

insert into smsfestddsc (regid,smsschcd,feecat,rate,remark,status,crby,crdate,lupdateby,lupdate) select regid,smsschcd,feecat,rate,remark,status,crby,crdate,lupdateby,lupdate from tmp_smsfestddsc;

drop table tmp_smsfestddsc;


/* ========= International Schools ========= */
/* Basic Module */
/* ---- SMS20001 ---- */
delete from menubar where menuid='SMS20001' and lang='BI' and schgrp='IIS';
insert into menubar (menuid, lang, menudesc, menuitem, schgrp) values ('SMS20001','BI','Basic (Teacher)','{Document Sharing}{|ASP Portal}{||Upload,/sms/asp_sms_bs_dms_rpc.php?act=upload,_self}{||Search,/sms/asp_sms_bs_dms_rpc.php?act=search,_self}{||Download,/sms/asp_sms_bs_dms_rpc.php?act=download,_self}{||Delete,/sms/asp_sms_bs_dms_rpc.php?act=delete,_self}{News & Announcement}{|News & Announcement}{||Create,/sms/asp_sms_bs_news_all.php?act=create,_self}{||Edit,/sms/asp_sms_bs_comm_enq.php?typ=news&txtyp=news&act=maint,_self}{||Delete,/sms/asp_sms_bs_comm_enq.php?typ=news&txtyp=news&act=delete,_self}{||Enquiry,/sms/asp_sms_bs_comm_enq.php?typ=news&txtyp=news&act=enq,_self}{Facilities Management}{|Room Booking}{||Create,/sms/asp_sms_fcs_book.php?act=create&cat=001,_self}{||Edit,/sms/asp_sms_fcs_book_enq.php?act=maint&cat=001,_self}{||Delete,/sms/asp_sms_fcs_book_enq.php?act=del&cat=001,_self}{|Vehicle Booking}{||Create,/sms/asp_sms_fcs_book.php?act=create&cat=002,_self}{||Edit,/sms/asp_sms_fcs_book_enq.php?act=maint&cat=002,_self}{||Delete,/sms/asp_sms_fcs_book_enq.php?act=del&cat=002,_self}{|Booking Enquiry}{||Room,/sms/asp_sms_fcs_book_lst.php?cat=001,_self}{||Vehicle,/sms/asp_sms_fcs_book_lst.php?cat=002,_self}{Timetable}{|Class Timetable}{||Create,/sms/asp_sms_bs_comm_sel.php?act=create&typ=class&txtyp=tts_clstmtbl,_self}{||Edit,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=class&txtyp=tts_clstmtbl,_self}{||Delete,/sms/asp_sms_bs_comm_sel.php?act=delete&typ=class&txtyp=tts_clstmtbl,_self}{Student Mgmt}{|Personal Record}{||Create,/sms/asp_sms_bs_stu_reg.php?act=create,_self}{||Edit,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=stuchk,_self}{|Attendance Recording}{||Daily Class Attendance,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_daily_cls&act=update,_self}{||Absent Reason Update,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_rsn_cls,_self}{|Previous School Info}{||Create,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=prvsch,_self}{||Edit,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=prvsch,_self}{||Delete,/sms/asp_sms_bs_comm_sel.php?act=delete&typ=student&txtyp=prvsch,_self}{|Text Book on Loan}{||Issuance}{|||Issuance By Student,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=bkloan,_self}{|||Issuance By Barcode,/sms/asp_sms_bs_barcode_issuance_bkloan.php,_self}{||Return}{|||Return By Student,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=bkret,_self}{|||Return By Barcode,/sms/asp_sms_bs_barcode_return_bkloan.php,_self}{|Assign Class Monitor}{||Create,/sms/asp_sms_bs_cls_monitor.php?act=create,_self}{||Delete,/sms/asp_sms_bs_cls_monitor.php?act=delete,_self}{|Student Health Records}{||General Health}{|||Create,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=stuhealth,_self}{|||Edit,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=stuhealth,_self}{|||Delete, /sms/asp_sms_bs_comm_sel.php?act=delete&typ=student&txtyp=stuhealth,_self}{||Immunizations}{|||Create,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=immunization,_self}{|||Edit, /sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=immunization,_self}{|||Delete, /sms/asp_sms_bs_comm_sel.php?act=delete&typ=student&txtyp=immunization,_self}{|Guardian Info}{||Guardian Profile}{|||Edit,/sms/asp_sms_bs_comm_enq.php?act=maint&typ=guardian&txtyp=profile,_self}{|||Delete,/sms/asp_sms_bs_comm_enq.php?act=delete&typ=guardian&txtyp=profile,_self}{|||Reinstate,/sms/asp_sms_bs_comm_enq.php?act=reinstate&typ=guardian&txtyp=profile,_self}{||Link Student and Guardian}{|||Create,/sms/asp_sms_bs_comm_sel.php?typ=student&act=create&txtyp=relcd,_self}{|||Edit,/sms/asp_sms_bs_comm_sel.php?typ=student&act=maint&txtyp=relcd,_self}{|||Delete,/sms/asp_sms_bs_comm_sel.php?typ=student&act=delete&txtyp=relcd,_self}{|Personality Grading,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=personality,_self}{|Testimonial/Leaving Cert,/sms/asp_sms_bs_comm_sel.php?typ=print&txtyp=certprt&act=print,_self}{|Checklist By Student,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=cklist&act=maint,_self}{|E-Payment}{||Receipt Printing,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=ep_prt_receipt,_self}{||Receipt Reprint,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=ep_rcpt_reprt&act=print,_self}{Staff Mgmt}{|Update Personal Record,/sms/asp_sms_bs_staff.php?act=maint,_self}{|Daily Duty Assignment}{||Duty Report Submission,/sms/asp_sms_tchduty.php?act=report,_self}{||Enquiry,/sms/asp_sms_tchduty_assign.php?act=enq,_self}{|Option Subjects}||Create,/sms/asp_sms_st_spc_tch.php?act=create&type=002,_self}{||Edit,/sms/asp_sms_st_spc_tch.php?act=maint&type=002,_self}{||Delete,/sms/asp_sms_st_spc_tch.php?act=delete&type=002,_self}{Enquiry}{|Student Information,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=stuchk,_self}{|Student Health Records}{||General Health,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=stuhealth,_self}{||Immunizations,/sms/asp_sms_bs_comm_msel.php?act=enq&typ=student&txtyp=smm_immunization,_self}{||Export Student Health to CSVFormat,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=stuhealth_csv,_self}{|Guardian Information,/sms/asp_sms_bs_comm_enq.php?typ=guardian&act=enq&txtyp=profile,_self}{|Student Under Guardian,/sms/asp_sms_bs_comm_enq.php?typ=guardian&act=enq&txtyp=relation,_self}{|Staff Information,/sms/asp_sms_bs_comm_enq.php?act=enq&typ=staff&txtyp=stfdtl,_self}{|Staff Workload Report,/sms/asp_sms_bs_comm_sel.php?typ=staff&txtyp=stf_wrkload,_self}{|Class Information}{||Class Teacher & Students,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=class_dtl&act=enq,_self}{||Student Checklist (Class),/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=class_cklst&act=maint,_self}{||Student Checklist (Individual),/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=cklist&act=enq,_self}{|Text Book on Loan}{||Booklist and Status,/sms/asp_sms_bs_comm_sel.php?typ=level&txtyp=bklst&act=enq,_self}{||Listing By Class,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=bkl_clsenq,_self}{||Report}{|||Borrower Account Letter,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=txtbk_enq_std,_self}{|||Borrower Account Listing By Class,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=txtbk_enq_cls,_self}{|Attendance Enquiry}{||By Date & Class,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_daily_cls&act=enq,_self}{||By Date & Level,/sms/asp_sms_bs_comm_sel.php?typ=level&txtyp=attd_daily_lvl&act=enq,_self}{||By Date Range,/sms/asp_sms_bs_comm_sel.php?typ=level&txtyp=attd_dtprd_summary,_self}{||Summary - Daily By Class,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_summary_cls,_self}{||Summary - Monthly By Class,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_monthly_cls,_self}{||Summary - Monthly By Class Analysis,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_monthly_cls_ana,_self}{||Monthly Student Detail Attendance Analysis,/sms/asp_sms_bs_comm_sel.php?typ=student&act=enq&txtyp=std_att_analysis,_self}{||Class Attendance Detail Listing,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=cls_attd_dtl_list,_self}{||Student Attendance Analysis}{|||Yearly Attendance Analysis,/sms/asp_sms_bs_comm_sel.php?typ=student&act=enq&txtyp=std_yrly_attd_analysis,_self}{|||Yearly Absentee Analysis,/sms/asp_sms_bs_comm_sel.php?typ=student&act=enq&txtyp=std_yrly_abs_analysis,_self}{||Student Attendance Notification Letter}{|||Print,/sms/asp_sms_bs_comm_sel.php?typ=student&act=enq&txtyp=abs_ltr_prt,_self}{|||Reprint,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=abs_ltr_rprt,_self}{|Timetable}{||Master Timetable}{|||By Level,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtblcls&typ=class,_self}{|||By Timetable Template,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtbltemp&typ=class,_self}{|||By Cycle Day,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtblcyday&typ=class,_self}{||Subject Timetable,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtbllvl&typ=subject,_self}{||Staff Timetable,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtbl&typ=staff,_self}{||Student Timetable,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtblcls&typ=student,_self}{||Location Timetable,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtblloc&typ=year,_self}{||Class Timetable,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=class&txtyp=tts_clstmtblenq,_self}{||Teacher Daily Schedule List,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_dailysch&typ=staff,_self}{||Timetable Listing,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtbllist&typ=year,_self}{||Sit-In/Substitution (Teacher Report),/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_sttrpt&typ=staff,_self}{||Sit-In/Substitution (Summary),/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_sttsmmy&typ=year,_self}{|School Information}{||Calendar by Event,/sms/asp_sms_bs_schcal_date_enq.php?act=enq,_self}{||Calendar by Week,/sms/asp_sms_bs_comm_sel.php?typ=year&txtyp=calbyweek,_self}{||Calendar by Month,/sms/asp_sms_bs_comm_sel.php?typ=year&txtyp=calbymth,_self}{||Population by year, /sms/asp_sms_bs_sch_pop_enq.php,_self}{||Population by level/class, /sms/asp_sms_bs_popul_std.php?typ=cls&styp=race,_self}{||Population by religion, /sms/asp_sms_bs_popul_std.php?typ=cls&styp=religion,_self}{||Nationality Chart(N),/sms/asp_sms_bs_comm_sel.php?act=enq&typ=year&txtyp=nationchart,_self}{||Student Statistic,/sms/asp_sms_bs_statis_stu_enq.php,_self}{||Staff Monthly Statistic,/sms/asp_sms_bs_comm_sel.php?typ=year&txtyp=stfmthstat&act=enq,_self}{||Level Offered,/sms/asp_sms_bs_comm_sel.php?typ=level&txtyp=lvlofr&act=enq,_self}{||Subject Offered By Level,/sms/asp_sms_bs_comm_sel.php?typ=subject&txtyp=subjoffer&act=enq,_self}{||Guardian Directory,/sms/asp_sms_bs_comm_sel.php?act=print&typ=class&txtyp=gdndir,_self}{|Data Export,/sms/asp_sms_bs_dataexport_all_role.php?istyp=stu,_self}{|Without Info Alert}{||Student Profile,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=class&txtyp=winfo,_self}{||Staff Profile,/sms/asp_sms_bs_comm_enq.php?act=enq&typ=staff&txtyp=winfo,_self}','IIS');


/* ========= Malaysia Schools ========= */
/* Basic Module */


/* ---- SMS20001 ---- */
delete from menubar where menuid='SMS20001' and lang='BI' and schgrp is NULL;
insert into menubar (menuid, lang, menudesc, menuitem, schgrp) values ('SMS20001','BI','Basic (Teacher)','{Document Sharing}{|ASP Portal}{||Upload,/sms/asp_sms_bs_dms_rpc.php?act=upload,_self}{||Search,/sms/asp_sms_bs_dms_rpc.php?act=search,_self}{||Download,/sms/asp_sms_bs_dms_rpc.php?act=download,_self}{||Delete,/sms/asp_sms_bs_dms_rpc.php?act=delete,_self}{News & Announcement}{|News & Announcement}{||Create,/sms/asp_sms_bs_news_all.php?act=create,_self}{||Edit,/sms/asp_sms_bs_comm_enq.php?typ=news&txtyp=news&act=maint,_self}{||Delete,/sms/asp_sms_bs_comm_enq.php?typ=news&txtyp=news&act=delete,_self}{||Enquiry,/sms/asp_sms_bs_comm_enq.php?typ=news&txtyp=news&act=enq,_self}{Facilities Management}{|Room Booking}{||Create,/sms/asp_sms_fcs_book.php?act=create&cat=001,_self}{||Edit,/sms/asp_sms_fcs_book_enq.php?act=maint&cat=001,_self}{||Delete,/sms/asp_sms_fcs_book_enq.php?act=del&cat=001,_self}{|Vehicle Booking}{||Create,/sms/asp_sms_fcs_book.php?act=create&cat=002,_self}{||Edit,/sms/asp_sms_fcs_book_enq.php?act=maint&cat=002,_self}{||Delete,/sms/asp_sms_fcs_book_enq.php?act=del&cat=002,_self}{|Booking Enquiry}{||Room,/sms/asp_sms_fcs_book_lst.php?cat=001,_self}{||Vehicle,/sms/asp_sms_fcs_book_lst.php?cat=002,_self}{Timetable}{|Class Timetable}{||Create,/sms/asp_sms_bs_comm_sel.php?act=create&typ=class&txtyp=tts_clstmtbl,_self}{||Edit,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=class&txtyp=tts_clstmtbl,_self}{||Delete,/sms/asp_sms_bs_comm_sel.php?act=delete&typ=class&txtyp=tts_clstmtbl,_self}{Student Mgmt}{|Personal Record}{||Create,/sms/asp_sms_bs_stu_reg.php?act=create,_self}{||Edit,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=stuchk,_self}{|Attendance Recording}{||Daily Class Attendance,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_daily_cls&act=update,_self}{||Absent Reason Update,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_rsn_cls,_self}{|Previous School Info}{||Create,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=prvsch,_self}{||Edit,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=prvsch,_self}{||Delete,/sms/asp_sms_bs_comm_sel.php?act=delete&typ=student&txtyp=prvsch,_self}{|Text Book on Loan}{||Issuance}{|||Issuance By Student,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=bkloan,_self}{|||Issuance By Barcode,/sms/asp_sms_bs_barcode_issuance_bkloan.php,_self}{||Return}{|||Return By Student,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=bkret,_self}{|||Return By Barcode,/sms/asp_sms_bs_barcode_return_bkloan.php,_self}{|Assign Class Monitor}{||Create,/sms/asp_sms_bs_cls_monitor.php?act=create,_self}{||Delete,/sms/asp_sms_bs_cls_monitor.php?act=delete,_self}{|Student Health Records}{||General Health}{|||Create,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=stuhealth,_self}{|||Edit,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=stuhealth,_self}{|||Delete, /sms/asp_sms_bs_comm_sel.php?act=delete&typ=student&txtyp=stuhealth,_self}{||Immunizations}{|||Create,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=immunization,_self}{|||Edit, /sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=immunization,_self}{|||Delete, /sms/asp_sms_bs_comm_sel.php?act=delete&typ=student&txtyp=immunization,_self}{|Guardian Info}{||Guardian Profile}{|||Edit,/sms/asp_sms_bs_comm_enq.php?act=maint&typ=guardian&txtyp=profile,_self}{|||Delete,/sms/asp_sms_bs_comm_enq.php?act=delete&typ=guardian&txtyp=profile,_self}{|||Reinstate,/sms/asp_sms_bs_comm_enq.php?act=reinstate&typ=guardian&txtyp=profile,_self}{||Link Student and Guardian}{|||Create,/sms/asp_sms_bs_comm_sel.php?typ=student&act=create&txtyp=relcd,_self}{|||Edit,/sms/asp_sms_bs_comm_sel.php?typ=student&act=maint&txtyp=relcd,_self}{|||Delete,/sms/asp_sms_bs_comm_sel.php?typ=student&act=delete&txtyp=relcd,_self}{|Personality Grading,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=personality,_self}{|Testimonial/Leaving Cert,/sms/asp_sms_bs_comm_sel.php?typ=print&txtyp=certprt&act=print,_self}{|Checklist By Student,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=cklist&act=maint,_self}{|E-Payment}{||Receipt Printing,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=ep_prt_receipt,_self}{||Receipt Reprint,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=ep_rcpt_reprt&act=print,_self}{Staff Mgmt}{|Update Personal Record,/sms/asp_sms_bs_staff.php?act=maint,_self}{|Daily Duty Assignment}{||Duty Report Submission,/sms/asp_sms_tchduty.php?act=report,_self}{||Enquiry,/sms/asp_sms_tchduty_assign.php?act=enq,_self}{|Option Subjects}||Create,/sms/asp_sms_st_spc_tch.php?act=create&type=002,_self}{||Edit,/sms/asp_sms_st_spc_tch.php?act=maint&type=002,_self}{||Delete,/sms/asp_sms_st_spc_tch.php?act=delete&type=002,_self}{Enquiry}{|Student Information,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=stuchk,_self}{|Student Health Records}{||General Health,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=stuhealth,_self}{||Immunizations,/sms/asp_sms_bs_comm_msel.php?act=enq&typ=student&txtyp=smm_immunization,_self}{||Export Student Health to CSVFormat,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=stuhealth_csv,_self}{|Guardian Information,/sms/asp_sms_bs_comm_enq.php?typ=guardian&act=enq&txtyp=profile,_self}{|Student Under Guardian,/sms/asp_sms_bs_comm_enq.php?typ=guardian&act=enq&txtyp=relation,_self}{|Staff Information,/sms/asp_sms_bs_comm_enq.php?act=enq&typ=staff&txtyp=stfdtl,_self}{|Staff Workload Report,/sms/asp_sms_bs_comm_sel.php?typ=staff&txtyp=stf_wrkload,_self}{|Class Information}{||Class Teacher & Students,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=class_dtl&act=enq,_self}{||Student Checklist (Class),/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=class_cklst&act=maint,_self}{||Student Checklist (Individual),/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=cklist&act=enq,_self}{|Text Book on Loan}{||Booklist and Status,/sms/asp_sms_bs_comm_sel.php?typ=level&txtyp=bklst&act=enq,_self}{||Listing By Class,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=bkl_clsenq,_self}{||Report}{|||Borrower Account Letter,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=txtbk_enq_std,_self}{|||Borrower Account Listing By Class,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=txtbk_enq_cls,_self}{|Attendance Enquiry}{||By Date & Class,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_daily_cls&act=enq,_self}{||By Date & Level,/sms/asp_sms_bs_comm_sel.php?typ=level&txtyp=attd_daily_lvl&act=enq,_self}{||By Date Range,/sms/asp_sms_bs_comm_sel.php?typ=level&txtyp=attd_dtprd_summary,_self}{||Summary - Daily By Class,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_summary_cls,_self}{||Summary - Monthly By Class,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_monthly_cls,_self}{||Summary - Monthly By Class Analysis,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_monthly_cls_ana,_self}{||Monthly Student Detail Attendance Analysis,/sms/asp_sms_bs_comm_sel.php?typ=student&act=enq&txtyp=std_att_analysis,_self}{||Class Attendance Detail Listing,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=cls_attd_dtl_list,_self}{||Student Attendance Analysis}{|||Yearly Attendance Analysis,/sms/asp_sms_bs_comm_sel.php?typ=student&act=enq&txtyp=std_yrly_attd_analysis,_self}{|||Yearly Absentee Analysis,/sms/asp_sms_bs_comm_sel.php?typ=student&act=enq&txtyp=std_yrly_abs_analysis,_self}{||Student Attendance Notification Letter}{|||Print,/sms/asp_sms_bs_comm_sel.php?typ=student&act=enq&txtyp=abs_ltr_prt,_self}{|||Reprint,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=abs_ltr_rprt,_self}{|Timetable}{||Master Timetable}{|||By Level,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtblcls&typ=class,_self}{|||By Timetable Template,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtbltemp&typ=class,_self}{|||By Cycle Day,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtblcyday&typ=class,_self}{||Subject Timetable,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtbllvl&typ=subject,_self}{||Staff Timetable,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtbl&typ=staff,_self}{||Student Timetable,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtblcls&typ=student,_self}{||Location Timetable,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtblloc&typ=year,_self}{||Class Timetable,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=class&txtyp=tts_clstmtblenq,_self}{||Teacher Daily Schedule List,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_dailysch&typ=staff,_self}{||Timetable Listing,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtbllist&typ=year,_self}{||Sit-In/Substitution (Teacher Report),/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_sttrpt&typ=staff,_self}{||Sit-In/Substitution (Summary),/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_sttsmmy&typ=year,_self}{|School Information}{||Calendar by Event,/sms/asp_sms_bs_schcal_date_enq.php?act=enq,_self}{||Calendar by Week,/sms/asp_sms_bs_comm_sel.php?typ=year&txtyp=calbyweek,_self}{||Calendar by Month,/sms/asp_sms_bs_comm_sel.php?typ=year&txtyp=calbymth,_self}{||Population by year, /sms/asp_sms_bs_sch_pop_enq.php,_self}{||Population by level/class, /sms/asp_sms_bs_popul_std.php?typ=cls&styp=race,_self}{||Population by religion, /sms/asp_sms_bs_popul_std.php?typ=cls&styp=religion,_self}{||Nationality Chart(N),/sms/asp_sms_bs_comm_sel.php?act=enq&typ=year&txtyp=nationchart,_self}{||Student Statistic,/sms/asp_sms_bs_statis_stu_enq.php,_self}{||Staff Monthly Statistic,/sms/asp_sms_bs_comm_sel.php?typ=year&txtyp=stfmthstat&act=enq,_self}{||Level Offered,/sms/asp_sms_bs_comm_sel.php?typ=level&txtyp=lvlofr&act=enq,_self}{||Subject Offered By Level,/sms/asp_sms_bs_comm_sel.php?typ=subject&txtyp=subjoffer&act=enq,_self}{||Guardian Directory,/sms/asp_sms_bs_comm_sel.php?act=print&typ=class&txtyp=gdndir,_self}{|Data Export,/sms/asp_sms_bs_dataexport_all_role.php?istyp=stu,_self}{|Without Info Alert}{||Student Profile,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=class&txtyp=winfo,_self}{||Staff Profile,/sms/asp_sms_bs_comm_enq.php?act=enq&typ=staff&txtyp=winfo,_self}',NULL);


delete from menubar where menuid='SMS20001' and lang='BM' and schgrp is NULL;
insert into menubar (menuid, lang, menudesc, menuitem, schgrp) values ('SMS20001','BM','Basic (Teacher)','{Document Sharing}{|ASP Portal}{||Muat Naik,/sms/asp_sms_bs_dms_rpc.php?act=upload,_self}{||Pencarian,/sms/asp_sms_bs_dms_rpc.php?act=search,_self}{||Muat Turn,/sms/asp_sms_bs_dms_rpc.php?act=download,_self}{||Padam,/sms/asp_sms_bs_dms_rpc.php?act=delete,_self}{Berita & Pengumuman}{|Berita & Pengumuman}{||Tambah,/sms/asp_sms_bs_news_all.php?act=create,_self}{||Kemaskini,/sms/asp_sms_bs_comm_enq.php?typ=news&txtyp=news&act=maint,_self}{||Padam,/sms/asp_sms_bs_comm_enq.php?typ=news&txtyp=news&act=delete,_self}{||Pertanyaan,/sms/asp_sms_bs_comm_enq.php?typ=news&txtyp=news&act=enq,_self}{Pengurusan Kemudahan}{|Tempahan Bilik}{||Tambah,/sms/asp_sms_fcs_book.php?act=create&cat=001,_self}{||Kemaskini,/sms/asp_sms_fcs_book_enq.php?act=maint&cat=001,_self}{||Padam,/sms/asp_sms_fcs_book_enq.php?act=del&cat=001,_self}{|Tempahan Kenderaan}{||Tambah,/sms/asp_sms_fcs_book.php?act=create&cat=002,_self}{||Kemaskini,/sms/asp_sms_fcs_book_enq.php?act=maint&cat=002,_self}{||Padam,/sms/asp_sms_fcs_book_enq.php?act=del&cat=002,_self}{|Pertanyaan Tempahan}{||Bilik,/sms/asp_sms_fcs_book_lst.php?cat=001,_self}{||Kenderaan,/sms/asp_sms_fcs_book_lst.php?cat=002,_self}{Jadual Waktu}{|Jadual Waktu Kelas}{|Tambah,/sms/asp_sms_bs_comm_sel.php?act=create&typ=class&txtyp=tts_clstmtbl,_self}{|Kemaskini,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=class&txtyp=tts_clstmtbl,_self}{|Padam,/sms/asp_sms_bs_comm_sel.php?act=delete&typ=class&txtyp=tts_clstmtbl,_self}{Pelajar}{|Rekod Peribadi}{||Tambah,/sms/asp_sms_bs_stu_reg.php?act=create,_self}{||Kemaskini,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=stuchk,_self}{|Catat Kedatangan}{||Kedatangan Kelas Harian,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_daily_cls&act=update,_self}{||Kemaskini Sebab Tidak Hadir,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_rsn_cls,_self}{|Maklumat Sekolah Terdahulu}{||Tambah,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=prvsch,_self}{||Kemaskini,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=prvsch,_self}{||Padam,/sms/asp_sms_bs_comm_sel.php?act=delete&typ=student&txtyp=prvsch,_self}{|Pinjaman Buku Teks}{||Dipinjamkan}{|||Dipinjamkan (Pelajar),/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=bkloan,_self}{|||Dipinjamkan (Barkod),/sms/asp_sms_bs_barcode_issuance_bkloan.php,_self}{||Dipulangkan}{|||Dipulangkan (Pelajar),/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=bkret,_self}{|||Dipulangkan (Barkod),/sms/asp_sms_bs_barcode_return_bkloan.php,_self}{|Ketua Kelas}{||Tambah,/sms/asp_sms_bs_cls_monitor.php?act=create,_self}{||Padam,/sms/asp_sms_bs_cls_monitor.php?act=delete,_self}{|Rekod Kesihatan Pelajar}{||Kesihatan Umum}{|||Tambah,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=stuhealth,_self}{|||Kemaskini,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=stuhealth,_self}{|||Padam, /sms/asp_sms_bs_comm_sel.php?act=delete&typ=student&txtyp=stuhealth,_self}{||Pengimunan}{|||Tambah,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=immunization,_self}{|||Kemaskini, /sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=immunization,_self}{|||Padam, /sms/asp_sms_bs_comm_sel.php?act=delete&typ=student&txtyp=immunization,_self}{|Butir Penjaga}{||Profil Penjaga}{|||Kemaskini,/sms/asp_sms_bs_comm_enq.php?act=maint&typ=guardian&txtyp=profile,_self}{|||Padam,/sms/asp_sms_bs_comm_enq.php?act=delete&typ=guardian&txtyp=profile,_self}{|||Ambil Semula,/sms/asp_sms_bs_comm_enq.php?act=reinstate&typ=guardian&txtyp=profile,_self}{||Hubung Pelajar Dgn Penjaga}{|||Tambah,/sms/asp_sms_bs_comm_sel.php?typ=student&act=create&txtyp=relcd,_self}{|||Kemaskini,/sms/asp_sms_bs_comm_sel.php?typ=student&act=maint&txtyp=relcd,_self}{|||Padam,/sms/asp_sms_bs_comm_sel.php?typ=student&act=delete&txtyp=relcd,_self}{|Gred Personaliti,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=personality,_self}{|Surat Akuan/Sijil Berhenti,/sms/asp_sms_bs_comm_sel.php?typ=print&txtyp=certprt&act=print,_self}{|Senarai Semak Pelajar,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=cklist&act=maint,_self}{|E-Payment}{||Receipt Reprint,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=ep_rcpt_reprt&act=print,_self}{Staf}{|Kemaskini Rekod Peribadi,/sms/asp_sms_bs_staff.php?act=maint,_self}{|Tugas Harian}{||Laporan Tugas Harian,/sms/asp_sms_tchduty.php?act=report,_self}{||Pertanyaan,/sms/asp_sms_tchduty_assign.php?act=enq,_self}{|Obysen Subjek}{||Tambah,/sms/asp_sms_st_spc_tch.php?act=create&type=002,_self}{||Kemaskini,/sms/asp_sms_st_spc_tch.php?act=maint&type=002,_self}{||Padam,/sms/asp_sms_st_spc_tch.php?act=delete&type=002,_self}{Butiran}{|Maklumat Pelajar,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=stuchk,_self}{|Kesihatan Pelajar}{||Kesihatan Umum,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=stuhealth,_self}{||Pengimunan,/sms/asp_sms_bs_comm_msel.php?act=enq&typ=student&txtyp=smm_immunization,_self}{||Exsport Kesihatan Umun to CSV Format,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=stuhealth_csv,_self}{|Maklumat Penjaga,/sms/asp_sms_bs_comm_enq.php?typ=guardian&act=enq&txtyp=profile,_self}{|Pelajar Dibawah Jagaan Penjaga,/sms/asp_sms_bs_comm_enq.php?typ=guardian&act=enq&txtyp=relation,_self}{|Maklumat Staf,/sms/asp_sms_bs_comm_enq.php?act=enq&typ=staff&txtyp=stfdtl,_self}{|Laporan Beban Kerja Staf,/sms/asp_sms_bs_comm_sel.php?typ=staff&txtyp=stf_wrkload,_self}{|Maklumat Kelas}{||Guru & Pelajar Kelas,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=class_dtl&act=enq,_self}{||Senarai Semak Pelajar (Kelas),/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=class_cklst&act=maint,_self}{||Senarai Semak Pelajar (Individu),/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=cklist&act=enq,_self}{|Buku Teks Dalam Pinjaman}{||Senarai Buku & Status,/sms/asp_sms_bs_comm_sel.php?typ=level&txtyp=bklst&act=enq,_self}{||Senarai Mengikut Kelas,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=bkl_clsenq,_self}{||Laporan}{|||Surat Akuan Pinjaman Murid,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=txtbk_enq_std,_self}{|||Surat Akuan Pinjaman Kelas,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=txtbk_enq_cls,_self}{|Butiran Kedatangan}{||Mengikut Tarikh & Kelas,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_daily_cls&act=enq,_self}{||Mengikut Tarikh & Peringkat,/sms/asp_sms_bs_comm_sel.php?typ=level&txtyp=attd_daily_lvl&act=enq,_self}{||Mengikut Tarikh,/sms/asp_sms_bs_comm_sel.php?typ=level&txtyp=attd_dtprd_summary,_self}{||Laporan - Harian Mengikut Kelas,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_summary_cls,_self}{||Laporan - Bulanan Mengikut Kelas,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_monthly_cls,_self}{||Laporan - Bulanan Mengikut Kelas Analisis,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_monthly_cls_ana,_self}{||Analisa Bulanan Kehadiran Pelajar, /sms/asp_sms_bs_comm_sel.php?typ=student&act=enq&txtyp=std_att_analysis,_self}{||Senarai Kehadiran Kelas Terperinci,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=cls_attd_dtl_list,_self}{||Analisa Kehadiran Pelajar}{|||Analisa Kehadiran Tahunan,/sms/asp_sms_bs_comm_sel.php?typ=student&act=enq&txtyp=std_yrly_attd_analysis,_self}{|||Analisa Tidak Hadir Tahunan,/sms/asp_sms_bs_comm_sel.php?typ=student&act=enq&txtyp=std_yrly_abs_analysis,_self}{||Surat Pemberitahuan Ketidakhadiran Ke Sekolah}{|||Cetak,/sms/asp_sms_bs_comm_sel.php?typ=student&act=enq&txtyp=abs_ltr_prt,_self}{|||Cetak Semula,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=abs_ltr_rprt,_self}{|Jadual Waktu}{||Jadual Waktu Induk}{|||Mengikut Peringkat,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtblcls&typ=class,_self}{|||Mengikut Templat Jadual,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtbltemp&typ=class,_self}{|||Mengikut Kitaran Hari,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtblcyday&typ=class,_self}{||Jadual Waktu Subjek,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtbllvl&typ=subject,_self}{||Jadual Waktu Staf,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtbl&typ=staff,_self}{||Jadual Waktu Pelajar,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtblcls&typ=student,_self}{||Jadual Mengikut Lokasi,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtblloc&typ=year,_self}{||Jadual Waktu Kelas,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=class&txtyp=tts_clstmtblenq,_self}{||Senarai Jadual Harian Guru,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_dailysch&typ=staff,_self}{||Senarai Jadual Waktu,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtbllist&typ=year,_self}{||Guru Gantian (Laporan Guru),/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_sttrpt&typ=staff,_self}{||Guru Gantian (Laporan),/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_sttsmmy&typ=year,_self}{|Maklumat Sekolah}{||Kalender Peristiwa,/sms/asp_sms_bs_schcal_date_enq.php?act=enq,_self}{||Kalender Mingguan,/sms/asp_sms_bs_comm_sel.php?typ=year&txtyp=calbyweek,_self}{||Kalender Bulanan,/sms/asp_sms_bs_comm_sel.php?typ=year&txtyp=calbymth,_self}{||Populasi Tahunan, /sms/asp_sms_bs_sch_pop_enq.php,_self}{||Populasi Mengikut Peringkat / Kelas, /sms/asp_sms_bs_popul_std.php?typ=cls&styp=race,_self}{||Populasi Mengikut Agama, /sms/asp_sms_bs_popul_std.php?typ=cls&styp=religion,_self}{||Carta Kebangsaan(N),/sms/asp_sms_bs_comm_sel.php?act=enq&typ=year&txtyp=nationchart,_self}{||Statistik  Pelajar,/sms/asp_sms_bs_statis_stu_enq.php,_self}{||Statistik  Bulanan Staf,/sms/asp_sms_bs_comm_sel.php?typ=year&txtyp=stfmthstat&act=enq,_self}{||Peringkat Ditawarkan,/sms/asp_sms_bs_comm_sel.php?typ=level&txtyp=lvlofr&act=enq,_self}{||Subjek Ditawarkan Mengikut Peringkat,/sms/asp_sms_bs_comm_sel.php?typ=subject&txtyp=subjoffer&act=enq,_self}{||Direktori Penjaga,/sms/asp_sms_bs_comm_sel.php?act=print&typ=class&txtyp=gdndir,_self}{|Eksport Data,/sms/asp_sms_bs_dataexport_all_role.php?istyp=stu,_self}{|Tanpa Amaran Maklumat}{||Maklumat Pelajar,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=class&txtyp=winfo,_self}{||Maklumat Staf,/sms/asp_sms_bs_comm_enq.php?act=enq&typ=staff&txtyp=winfo,_self}',NULL);


delete from menubar where menuid='SMS20001' and lang='BC' and schgrp is NULL;
insert into menubar (menuid, lang, menudesc, menuitem, schgrp) values ('SMS20001','BC','Basic (Teacher)','{文件分享}{|ASP Portal}{||上传,/sms/asp_sms_bs_dms_rpc.php?act=upload,_self}{||查询,/sms/asp_sms_bs_dms_rpc.php?act=search,_self}{||下载,/sms/asp_sms_bs_dms_rpc.php?act=download,_self}{||删除,/sms/asp_sms_bs_dms_rpc.php?act=delete,_self}{新闻和通告}{|新闻和通告}{||新增记录,/sms/asp_sms_bs_news_all.php?act=create,_self}{||更新记录,/sms/asp_sms_bs_comm_enq.php?typ=news&txtyp=news&act=maint,_self}{||删除记录,/sms/asp_sms_bs_comm_enq.php?typ=news&txtyp=news&act=delete,_self}{||查询纪录,/sms/asp_sms_bs_comm_enq.php?typ=news&txtyp=news&act=enq,_self}{|設施管理}{||房间 预订}{|||新增记录,/sms/asp_sms_fcs_book.php?act=create&cat=001,_self}{|||更新记录,/sms/asp_sms_fcs_book_enq.php?act=maint&cat=001,_self}{|||删除记录,/sms/asp_sms_fcs_book_enq.php?act=del&cat=001,_self}{||交通工具 预订}{|||新增记录,/sms/asp_sms_fcs_book.php?act=create&cat=002,_self}{|||更新记录,/sms/asp_sms_fcs_book_enq.php?act=maint&cat=002,_self}{|||删除记录,/sms/asp_sms_fcs_book_enq.php?act=del&cat=002,_self}{||查询预订}{|||房间,/sms/asp_sms_fcs_book_lst.php?cat=001,_self}{|||交通工具,/sms/asp_sms_fcs_book_lst.php?cat=002,_self}{时间表}{|班级时间表}{||新增记录,/sms/asp_sms_bs_comm_sel.php?act=create&typ=class&txtyp=tts_clstmtbl,_self}{||更新记录,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=class&txtyp=tts_clstmtbl,_self}{||删除记录,/sms/asp_sms_bs_comm_sel.php?act=delete&typ=class&txtyp=tts_clstmtbl,_self}{学生管理}{|学生档案}{||新增记录,/sms/asp_sms_bs_stu_reg.php?act=create,_self}{||更新记录,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=stuchk,_self}|出勤記錄}{||学生出席记录(各班),/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_daily_cls&act=update,_self}{||更新缺席记录(各班),/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_rsn_cls,_self}{|学生早前就读的学校}{||新增记录,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=prvsch,_self}{||更新记录,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=prvsch,_self}{||删除记录,/sms/asp_sms_bs_comm_sel.php?act=delete&typ=student&txtyp=prvsch,_self}{|书本借贷}{||借贷}{|||学生书本借贷,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=bkloan,_self}{|||学生书本借贷 - 条码,/sms/asp_sms_bs_barcode_issuance_bkloan.php,_self}{||交还}{|||交还借贷的书本,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=bkret,_self}{|||交还借贷的书本 - 条码,/sms/asp_sms_bs_barcode_return_bkloan.php,_self}{|指派班长与副班长}{||新增记录,/sms/asp_sms_bs_cls_monitor.php?act=create,_self}{||删除记录,/sms/asp_sms_bs_cls_monitor.php?act=delete,_self}{|学生健康纪录}{||学生健康}{|||新增记录,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=stuhealth,_self}{|||更新记录,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=stuhealth,_self}{|||删除记录,/sms/asp_sms_bs_comm_sel.php?act=delete&typ=student&txtyp=stuhealth,_self}{||免疫}{|||新增记录,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=immunization,_self}{|||更新记录,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=immunization,_self}{|||删除记录,/sms/asp_sms_bs_comm_sel.php?act=delete&typ=student&txtyp=immunization,_self}{|监护人资料}{||监护人档案}{|||更新记录,/sms/asp_sms_bs_comm_enq.php?act=maint&typ=guardian&txtyp=profile,_self}{|||删除记录,/sms/asp_sms_bs_comm_enq.php?act=delete&typ=guardian&txtyp=profile,_self}{|||恢复纪录,/sms/asp_sms_bs_comm_enq.php?act=reinstate&typ=guardian&txtyp=profile,_self}{||学生和监护人设置}{|||新增记录,/sms/asp_sms_bs_comm_sel.php?typ=student&act=create&txtyp=relcd,_self}{|||更新记录,/sms/asp_sms_bs_comm_sel.php?typ=student&act=maint&txtyp=relcd,_self}{|||删除记录,/sms/asp_sms_bs_comm_sel.php?typ=student&act=delete&txtyp=relcd,_self}{|学生个性,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=personality,_self}{|推荐/离校证书,/sms/asp_sms_bs_comm_sel.php?typ=print&txtyp=certprt&act=print,_self}{|学生检核表,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=cklist&act=maint,_self}{|E-Payment}{||Receipt Printing,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=ep_prt_receipt,_self}{||Receipt Reprint,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=ep_rcpt_reprt&act=print,_self}{职员管理}{|更新个人资料,/sms/asp_sms_bs_staff.php?act=maint,_self}{|每日任务指派}{||提交任务报告,/sms/asp_sms_tchduty.php?act=report,_self}{||查询,/sms/asp_sms_tchduty_assign.php?act=enq,_self}{|选科}{||新增记录,/sms/asp_sms_st_spc_tch.php?act=create&type=002,_self}{||更新记录,/sms/asp_sms_st_spc_tch.php?act=maint&type=002,_self}{||删除记录,/sms/asp_sms_st_spc_tch.php?act=delete&type=002,_self}{查询}{|学生档案,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=stuchk,_self}{|学生健康纪录}{||学生健康,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=stuhealth,_self}{||免疫,/sms/asp_sms_bs_comm_msel.php?act=enq&typ=student&txtyp=smm_immunization,_self}{||学生健康数据输出(CSV格式),/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=stuhealth_csv,_self}{|监护人档案,/sms/asp_sms_bs_comm_enq.php?typ=guardian&act=enq&txtyp=profile,_self}{|监护人与学生关系,/sms/asp_sms_bs_comm_enq.php?typ=guardian&act=enq&txtyp=relation,_self}{|职员档案,/sms/asp_sms_bs_comm_enq.php?act=enq&typ=staff&txtyp=stfdtl,_self}{|职员工作量报告,/sms/asp_sms_bs_comm_sel.php?typ=staff&txtyp=stf_wrkload,_self}{|班级资料}{||班级资料,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=class_dtl&act=enq,_self}{||各班级的学生检核表,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=class_cklst&act=maint,_self}{||学生检核表,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=cklist&act=enq,_self}{|书本借贷}{||书本与级别,/sms/asp_sms_bs_comm_sel.php?typ=level&txtyp=bklst&act=enq,_self}{||各班级的书本借贷项目表和状态,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=bkl_clsenq,_self}{||报告}{|||借贷帐号纪录 (学生),/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=txtbk_enq_std,_self}{|||借贷帐号纪录 (班级),/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=txtbk_enq_cls,_self}{|学生出席记录}{||学生出席记录(各班),/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_daily_cls&act=enq,_self}{||学生每日出席率(级别),/sms/asp_sms_bs_comm_sel.php?typ=level&txtyp=attd_daily_lvl&act=enq,_self}{||学生出席总结(日期),/sms/asp_sms_bs_comm_sel.php?typ=level&txtyp=attd_dtprd_summary,_self}{||学生出席记录总结(各班),/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_summary_cls,_self}{||学生每月出席记录,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_monthly_cls,_self}{||学生每月出席记录分析,/sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=attd_monthly_cls_ana,_self}{||学生每月列席详细分析,/sms/asp_sms_bs_comm_sel.php?typ=student&act=enq&txtyp=std_att_analysis,_self}{||学生列席分析}{|||学生每年列席分析,/sms/asp_sms_bs_comm_sel.php?typ=student&act=enq&txtyp=std_yrly_attd_analysis,_self}{|||学生每年缺席分析,/sms/asp_sms_bs_comm_sel.php?typ=student&act=enq&txtyp=std_yrly_abs_analysis,_self}{||学生缺席通知书}{|||打印,/sms/asp_sms_bs_comm_sel.php?typ=student&act=enq&txtyp=abs_ltr_prt,_self}{|||重印,/sms/asp_sms_bs_comm_sel.php?typ=student&txtyp=abs_ltr_rprt,_self}{|时间表}{||主要时间表}{|||主要时间表 (按照级别),/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtblcls&typ=class,_self}{|||主要时间表 (按照时间表模块),/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtbltemp&typ=class,_self}{|||主要时间表 (按照轮天制),/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtblcyday&typ=class,_self}{||教科时间表,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtbllvl&typ=subject,_self}{||老师时间表,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtbl&typ=staff,_self}{||学生时间表,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtblcls&typ=student,_self}{||地点时间表,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtblloc&typ=year,_self}{||班级时间表,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=class&txtyp=tts_clstmtblenq,_self}{||老师日常时间表,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_dailysch&typ=staff,_self}{||时间表名单简化版,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_tmtbllist&typ=year,_self}{||代课老师报告,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_sttrpt&typ=staff,_self}{||代课资料总结,/sms/asp_sms_bs_comm_sel.php?act=enq&txtyp=tts_sttsmmy&typ=year,_self}{|学校资讯}{||校历,/sms/asp_sms_bs_schcal_date_enq.php?act=enq,_self}{||学校日历 (日),/sms/asp_sms_bs_comm_sel.php?typ=year&txtyp=calbyweek,_self}{||学校日历 (月),/sms/asp_sms_bs_comm_sel.php?typ=year&txtyp=calbymth,_self}{||全校人数 (年),/sms/asp_sms_bs_sch_pop_enq.php,_self}{||学校学生数据 (级别/班级),/sms/asp_sms_bs_popul_std.php?typ=cls&styp=race,_self}{||学校学生数据 (宗教),/sms/asp_sms_bs_popul_std.php?typ=cls&styp=religion,_self}{||国籍图表(N),/sms/asp_sms_bs_comm_sel.php?act=enq&typ=year&txtyp=nationchart,_self}{||学生统计数值,/sms/asp_sms_bs_statis_stu_enq.php,_self}{||每月职员统计数值,/sms/asp_sms_bs_comm_sel.php?typ=year&txtyp=stfmthstat&act=enq,_self}{||开设级别,/sms/asp_sms_bs_comm_sel.php?typ=level&txtyp=lvlofr&act=enq,_self}{||开设科目,/sms/asp_sms_bs_comm_sel.php?typ=subject&txtyp=subjoffer&act=enq,_self}{||监护人目录,/sms/asp_sms_bs_comm_sel.php?act=print&typ=class&txtyp=gdndir,_self}{|数据输出,/sms/asp_sms_bs_dataexport_all_role.php?istyp=stu,_self}{|讯息缺乏警示}{||学生档案,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=class&txtyp=winfo,_self}{||职员档案,/sms/asp_sms_bs_comm_enq.php?act=enq&typ=staff&txtyp=winfo,_self}',NULL);

alter table smsfemr add column year integer;


insert into smsprint (tplcd,certtyp,script,sample,tplname,dscpt,status,crby,crdate,lupdateby,lupdate) values ('SMS/LEV/014','7','asp_sms_bs_comm_sel.php?act=print&typ=student&txtyp=web_lvcert&cert=woodlands','pdf/LEV_WOODLANDS.jpg','Format 14','Woodlands International School','001','setup',current_date,'setup',current_date);






